7.0.0

# LOCSAT

Locator in SeisComP for computing source time and hypocenter coordinates from phase picks.

## Description

LOCSAT is a locator with a travel-time interface in SeisComP for computing source time and hypocenter coordinates from phase picks considering:

- Pick time and pick uncertainty,

- Backazimuth and backazimuth uncertainty,

- Slowness and slowness uncertainty,

- Phase-specfic travel-time tables.

The LOCSAT locator interface implements a wrapper for the LocSAT locator by Bratt and Nagy [50] (according to the README file shipped with the LocSAT distribution) referred to as LOCSAT in SeisComP. The LOCSAT travel-time interface provides travel time for specfic phases, epicentral distance, soure depth and station elevation.

## Locator Interface

LOCSAT provides the hypocenter parameters through the locator interface. Instead of specifying an Earth model, LOCSAT queries travel times via the LOCSAT travel-time interface which makes use of pre-defined travel-time tables. Note the limitations.

Use “LOCSAT” as a value for the locator interface along with a profile when configurable, e.g., by scolv, scautoloc or screloc.

## Travel-Time Interface

LOCSAT provides an interface for computing travel times based on station and source coordinates with non-negative source depths. Note the limitations.

The travel times are used for predicting phase arrival times in various applications such as scautoloc or scolv. The times are visualized, e.g., as blue marks in the scolv picker window.

Use “LOCSAT” as a value for the travel-time interface when configurable, e.g., by FixedHypocenter or StdLoc.

## Travel-Time Tables

SeisComP ships with two sets of predefined travel-time tables which are made available as the profiles tab and iasp91.

The default profile is iasp91.

LOCSAT travel time tables are located as plain ascii files under `@DATADIR@/locsat/tables/`. The tables provide the travel times for particular seismic phases at given depth and epicentral distance in one file per Earth model and seismic phase. E.g. P-wave arrival times in the iasp91 model are found in `@DATADIR@/locsat/tables/iasp91.P`. You may easily add your own tables for any available Earth model and seismic phase by adopting existing ones in new files which are added by configuration to your SeisComP modules.

### Limitations

1. The source depth is limited to non-negative values up to 800 km.

2. Only phases for which a travel-time table exists can be considered.

3. LOCSAT currently considers travel-time tables for phases which are hard-coded

   - seismic body waves: P, Pb, Pg, Pn, pP, PP, PcP, PKiKP, PKIKP, PKKP, PKP, PKPab, PKPbc, PKPdf, pPKPab, pPKPbc, pPKPdf,

     S, Sb, Sg, Sn, sP, sS, SS, ScP, ScS, SKKP, SKP, SKPdf, SKS, SKSac, SKSdf, sPKPab, sPKPbc, sPKPdf,

     where P and S are the frist-arrival direct P and S phases, respectively, at all distances no matter the take-off angle at the source.

   - seismic surface waves: LQ, LR, Lg, Rg.

   - infrasound: Is, It, Iw.

4. The maximum number of distance and depth intervals per table file is currently 210 and 50, respectively.

   Warning

   - Travel-time tables with larger numbers of distance or depth samples are reported along with command-line error output (stderr). The travel-time tables should therefore be tested, e.g., with scolv before unsupervised application.

   - Travel times at distance and depth samples exceeding the limits are ignored. This may lead to undesired behavior during location.

   - Phase picks observed outside the distance and depth ranges defined by travel-time tables may lead to undesired behavior during location.

5. The considered minimum depth is 0 km. Elevations and depths above datum are not natively considered. The effects of station elevation can be empirically corrected for.

### Station elevations

LOCSAT does not natively support corrections of travel times for station elevations. At least checking the code:

    sta_cor[i]  = 0.0;    /* FIX !!!!!!*/

However, the SeisComP wrapper adds this feature. It allows to define a `.stacor` file which defines emperic corrections of observed travel times. The corrections are provided in seconds and subtracted (not added) from the observation time to be compatible with the NonLinLoc [60] station correction definitions.

Each LOCSAT profile (travel time table) can have one associated station correction file. E.g. for adding station corrections to the iasp91 tables, the file `$SEISCOMP_ROOT/share/locsat/tables/iasp91.stacor` needs to be created.

Station correction files take the form (example):

    # LOCDELAY code phase numReadings delay
    LOCDELAY GE.MORC P 1 0.15
    LOCDELAY IU.ANMO.00 P 1 0.36
    LOCDELAY IU.KONO.20 P 1 -0.03

with

- LOCDELAY: Required fixed string.

- code (string): Stream code (after all alias evaluations) up to sensor location code with network and station code as a minium. Exception: If only a station code is given, then only the station code is checked. This is a fallback for data centers ignoring network codes and should be used exceptionally only.

  Network, station and sensor location codes are separated by ‘.’. If no sensor location is given, an empty code is assumed. Wildcards are not supported.

- phase (string): Phase type (any of the available travel time tables)

- numReadings (integer): Number of residuals used to calculate mean residual/delay. Not used by LOCSAT, included for compatibility reasons with NonLinLoc

- delay (float): Delay in seconds, subtracted from observed time.

Note

- Station corrections are only considered by the locator, not the travel-time interface. Therefore, they do not find application for locating by FixedHypocenter or for phase association in scautoloc.

- The example file for station corrections above reflect the format not any empirically derived relationship and the values themselves have no meaning.

## Application and Setup

LOCSAT is the default and only locator for scautoloc with iasp91 as the default profile. However, LOCSAT can be used optionally in other modules such as scolv or screloc.

### Custom travel-time tables

1. Generate your travel-time tables from a custom Earth model, depth and distance intervals. Use the same format as the defaults as the iasp91 tables. Tools such as TauP [28] allow the generation.

2. Add your custom travel-time tables along with station corrections to `@DATADIR@/locsat/tables/`

3. Add your available custom LOCSAT travel-time tables in global configuration, e.g., to the list of tables of travel-time interfaces

       ttt.LOCSAT.tables = iasp91, tab, custom

   and to the list of locator profiles

       LOCSAT.profiles = iasp91, tab, custom

   and optionally to locators which make use of LOCSAT tables, e.g., FixedHypocenter.

### Application with modules

Additional parameters of LOCSAT may be configured in global module configuration (`LOCSAT.*`).

- The profiles for locating may be extended or limited by `LOCSAT.profiles`.

- When using picks with time uncertainties, consider `LOCSAT.usePickUncertainties` and `LOCSAT.defaultTimeError`.

- Measurements of backazimuth and slowness may be deactivated by `LOCSAT.useBackazimuth` and `LOCSAT.useSlownewss`, respectively. Such measurements may be obtained from array processing or from feature extraction using scautopick.

You may also configure some SeisComP modules with LOCSAT and a profile.

- scautoloc: Configure a profile for automatic locations,

- screloc: Configure LOCSAT along with a profile for automatically relocating.

- scolv: Configure LOCSAT along with a profile as defaults for interactive locations.

When using LOCSAT in scolv you may interactively some settings. The changes only apply during runtime.

scolv Location tab with LOCSAT selected and the settings menu.

## Module Configuration

Note

LOCSAT.* Locator parameters: LOCSAT

LOCSAT.profiles

  Default: `iasp91, tab`

  Type: list:string

  Defines a list of available LOCSAT travel-time tables.

LOCSAT.depthInit

  Default: `20.0`

  Type: double

  Unit: km

  The initial depth estimate for LOCSAT.

LOCSAT.usePickUncertainties

  Default: `false`

  Type: boolean

  Whether to use pick time untertainties for arrival deltim rather than a fixed time error. If true then the uncertainties are retrieved from each individual pick object. If they are not defined then the default pick time uncertainty will be used as fallback.

LOCSAT.defaultTimeError

  Default: `1.0`

  Type: double

  Unit: s

  The default pick time uncertainty assigned to LOCSAT’s arrival deltim attribute if pick uncertainties are not going to be used or if they are absent. A time uncertainty of 0 s may result in errors of the SVD decomposition in LOCSAT.

LOCSAT.usePickBackazimuth

  Default: `true`

  Type: boolean

  Whether to forward pick backazimuth to LOCSAT or not. In an automatic mode backazimuth measurements might be inaccurrate and disabling their usage in LOCSAT can be controlled with this parameter.

LOCSAT.usePickSlowness

  Default: `true`

  Type: boolean

  Whether to forward pick horizontal slowness to LOCSAT or not. In an automatic mode slowness measurements might be inaccurrate and disabling their usage in LOCSAT can be controlled with this parameter.

LOCSAT.degreesOfFreedom

  Default: `9999`

  Type: int

  Number of degrees of freedom.

LOCSAT.confLevel

  Default: `0.9`

  Type: double

  Confidence level between 0.5 and 1.0.

LOCSAT.enableConfidenceEllipsoid

  Default: `false`

  Type: boolean

  Compute the confidence ellipsoid from covariance matrix in 3D.